List of timesheets

Returns a paginated list of timesheets in the account, optionally filtered by contract_id, contract_types, statuses, reporter_id, or date range. Token scopes: timesheets:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

contract_idstringOptional
Filter results to timesheets belonging to this Deel contract ID.
contract_typeslist of enumsOptional
Filter results to timesheets associated with the specified contract types.
Allowed values:
statuseslist of enumsOptional
Filter results to timesheets with the specified statuses.
reporter_idstringOptionalformat: "uuid"
Filter results to timesheets submitted by this user ID.
date_fromstringOptionalformat: "date"

Filter results to timesheets submitted on or after this date (inclusive). Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

date_tostringOptionalformat: "date"

Filter results to timesheets submitted before this date (exclusive). Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

limitstringOptionalformat: "^[0-9]+$"

Maximum number of records to return per page. NOTE: query parameters are passed as strings.

offsetstringOptionalformat: "^[0-9]+$"

Number of records to skip before starting to return results. NOTE: query parameters are passed as strings.

Response

Successful operation.
datalist of objects
pageobject
Pagination metadata for the response.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error